<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Acerca de Mí</title>
    <link rel="stylesheet" href="css/normalize.css"> <!-- La biblioteca "normalize" ayudará al sitio web a tener la apariencia deseada, independientemente del navegador web del usuario -->
    <link rel="stylesheet" href="css/normalize.css"> <!-- The normalize library will help the website to look the desired way regardless of the user's web browser -->
    <link rel="preload" href="css/style.css" as="style" /> <!-- Use this line to load stylesheet faster => Increase web page performance -->
    <link href="css/style.css" rel="stylesheet"/> <!-- rel = relation with current document-->
    <link rel="preload" href="css/admin_language.css" as="style" />
    <link href="css/admin_language.css" rel="stylesheet"/>
    <link rel="preload" href="css/buttons.css" as="style" />
    <link rel="preload" href="css/containersAndNav.css" as="style" />
    <link href="css/containersAndNav.css" rel="stylesheet"/>
    <link href="css/buttons.css" rel="stylesheet"/> 
    <link rel="preload" href="css/forms.css" as="style" />
    <link href="css/forms.css" rel="stylesheet"/>  
    <link rel="preload" href="css/icons.css" as="style" />
    <link href="css/icons.css" rel="stylesheet"/>
    <link rel="preload" href="css/services.css" as="style" />
    <link href="css/services.css" rel="stylesheet"/> 
    <link rel="preload" href="css/typography.css" as="style" />
    <link href="css/typography.css" rel="stylesheet"/> 
    <link rel="preload" href="css/utilities.css" as="style" />
    <link href="css/utilities.css" rel="stylesheet"/>
    <link rel="preload" href="css/images.css" as="style" />
    <link href="css/images.css" rel="stylesheet"/>
    <!-- Agregar fuentes externas de Google Fonts -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200&display=swap" rel="stylesheet">
    <!-- Otros -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:wght@200;400;500&display=swap" rel="stylesheet">
    <!-- Incluir demasiadas fuentes externas aumentará el tiempo de carga de la página web -->
</head>
<body>
    <header class="hero"> <!-- Puede utilizar solo una área de encabezado y una de contenido principal. El uso de múltiples secciones está bien -->
        <div class="hero-content">
            <h1 class="myTitle">Acerca de Mí</h1>
        </div> <!-- hero-content -->
        <div class="myTopMenu top_right_corner">                                 
            <div class="w-small-100 myUser no_margin">
                <div class="languageIcon"></div>
                <select class="languageSelect" id="changeLanguage">
                    <option class="button-text" value="Spanish">Español</option>
                    <option class="button-text" value="English">English</option>
                </select>
            </div>
            <a class="w-small-100 myUser no_margin" id="authenticate" type="submit"><div class="userIcon"></div><span class="button-text" id="login_text"></span></a>
        </div>
        <div class="nav-bg">
            <nav class="myContainer Principal_Nav"> <!-- Área de navegación -->
                <a href="indexSpanish.html">Inicio</a> <!-- Los elementos de anclaje requieren el atributo href="link" -->
                <a href="myProjectsSpanish.html">Mis Proyectos</a> <!-- href="#" significa que aún no tengo el enlace -->
                <a href="reviewsSpanish.html">Mis Reseñas</a>
                <a href="contactMeSpanish.html">Contacto</a>
            </nav>
        </div>
    </header>
    <main class="myContainer shadow">
        <div class="myContainer">
            <p class="center no_margin myParagraph">Soy un dedicado estudiante de Ingeniería en Computación en las etapas finales de mi trayecto académico. Mi conjunto de herramientas de desarrollo de software abarca la programación orientada a objetos, la programación funcional, la programación en paralelo, los patrones de diseño y la resolución de problemas. Además, mis habilidades en ingeniería de software abarcan el análisis de requisitos, el control de versiones y una comprensión fundamental de las metodologías ágiles. A lo largo de mi trayecto en ingeniería en computación, también he adquirido conocimientos fundamentales en principios de redes y arquitectura de computadoras.</p>
            <p class="center no_margin myParagraph">Actualmente, me encuentro aprendiendo sobre desarrollo web y al desarrollo de aplicaciones móviles para complementar mis conocimientos en hardware y firmware, estableciendo una base sólida que me permite integrar hardware y software</p>
            <p class="center no_margin myParagraph">En mi experiencia como técnico electrónico, he cultivado una fuerte inclinación hacia los sistemas embebidos. A lo largo de mis estudios, he adquirido un conjunto de habilidades que me capacita para abordar una amplia variedad de desafíos tecnológicos. Como técnico electrónico, he trabajado con una amplia gama de componentes y poseo una comprensión fundamental de los sistemas de control. En el ámbito de los sistemas operativos, me he sumergido en entornos Linux, controladores de dispositivos y sistemas en tiempo real como FreeRTOS.</p>
            <p class="center no_margin myParagraph">He trabajado con diversas plataformas de microcontroladores, incluyendo PIC, ARM, Raspberry Pi y NodeMCU ESP8266. También he trabajado con lenguajes de programación como C y ensamblador, lo que me proporciona una base sólida para programación de bajo nivel aplicable a sistemas embebidos.</p>
            <p class="center no_margin myParagraph">Mi objetivo principal es seguir contribuyendo en la intersección entre software y hardware, dando forma al futuro de la tecnología.</p>
        </div>
        <div class="myContainer">
            <h3 class="center no_margin">Mi CV</h3>
            <iframe id="pdf-viewer" src="cv/my_CV_Spanish.pdf" width="100%" height="500px" scrolling="auto"></iframe>
        </div>
    </main><!-- myContainer shadow -->
    <footer class="footer">
        <p>Todos los derechos reservados</p>
    </footer><!-- .footer -->
    <script>
        document.addEventListener("DOMContentLoaded", function () {
        const languageSelect = document.getElementById("changeLanguage");

        languageSelect.addEventListener("change", function () {
            const selectedValue = languageSelect.value;

            if (selectedValue === "English") {
            window.location.href = "aboutMe.html"; // Cambiar a la página en inglés
            } else if (selectedValue === "Spanish") {
            window.location.href = "aboutMeSpanish.html"; // Cambiar a la página en español
            }
        });
        });
    </script>
    <script src="js/modernizr.js"></script>
    <script src="js/common.bundle.js"></script>
    <script src="js/aboutMe.bundle.js"></script>
</body>
</html>
